<?php
//---PHP 2
  //step 4. run through the list of files again, and read the corresponding .properties file to collect their season and episode numbers, renaming each file that it can
function peppered($s) {
  //determines if a filename is peppered, ie., has as 2nd file -s1e1- or the like
  $bits = explode("-",$s);
  //bits0 is title eg CornerGas
  //bits1 is our baby
  $baby = $bits[1];
  if( substr($baby,0,1)!="s" ) return false;
  for($i=0;$i<strlen($baby);$i++) {
    $c = substr($baby,$i,1);
    if($c=="e" || ( $c>='0' && $c<='9' ) ) { //ok 
    } else return false;
  }//for
  return true;
}//F

  $dir = "D:\\ready to burn";
  
  $dc = opendir("$dir");
  while( $fn = readdir($dc)) {
      echo "checking $fn..\n";
      if (ereg('^\.{1,2}$',$fn)) continue;  //directory . and ..
      if(substr($fn,-4)!=".avi") continue;  //we're only interested in video AVI files
      if( peppered($fn)) continue;
      echo "process\n";
      $files[] = $fn;
  }//while

  //now for each of these files, check if it has received a properties file
  foreach($files as $fn) {
    if( file_exists("c:\\program files\\sagetv\\sagetv\\$fn.properties") ) {
      //then we need to read the properties file and find the episode and season number
        echo "info found for $fn\n";
        //then the bmt has provided info about this file..
        $fd = fopen("c:\\program files\\sagetv\\sagetv\\$fn.properties","r");
        if($fd===FALSE) die("can't happen");
        unset($season);
        unset($episode);
        while(!feof($fd)) {
          $line = trim(fgets($fd,4096));
          if(substr($line,0,13)=="SeasonNumber=") $season=substr($line,13);
          else
          if(substr($line,0,14)=="EpisodeNumber=") $episode=substr($line,14);
        }//while
        if(isset($season)&&isset($episode)) {
          //we are going to rename, we need to figure out the name
          $dashes = explode("-",$fn);
          //0 is show title
          $dashes[0].="-s$season"."e$episode";
          unset($dashes[2]);//clip off the date, not useful
          $newname = implode($dashes,"-");
          echo "renaming $fn to $newname\n";
          $r[0] = "$dir\\$fn";
          $r[1] = "$dir\\$newname";
          $renames[] = $r;
        }//if
      }//if
     //carry on
  }//for

  echo "Executing:\n";
  foreach($renames as $r) {
    //echo $c."\n";
    //exec($c);
    echo "rename ".$r[0]." to ".$r[1]."\n";
    rename($r[0],$r[1]);
  }//for  

  //done
?>
